Name: sipxmediaadapterlib
Version: 3.6.0
Release: %{buildno}

Summary: Media subsystem abstraction interface
License: LGPL
Group: Development/Libraries
Vendor: SIPfoundry
Packager: SIPfoundry <sipx-dev@sipfoundry.org>
Url: http://www.sipfoundry.org/sipXmediaAdapterLib

Requires: openssl >= 0.9.7a
Requires: pcre >= 4.5

Requires: sipxmedialib >= 3.6
Requires: sipxtacklib >= 3.6
Requires: sipxportlib >= 3.6

Source: %name-%version.tar.gz

Prefix: %_prefix
BuildRoot: %{_tmppath}/%name-%version-root

%description
 This library provides a set of adapters for using a media subsystem. Three
adapters currently have been implemented. They are for Pintel media processing,
GIPS VoiceEngine, and GIPS ConferenceEngine. The applications must select an
appropriate library during the link time in order to use the right media
subsystem.


# Install header files
%package devel
Requires: openssl-devel >= 0.9.7a
Requires: %name
Group: Development/Libraries
Vendor: SIPfoundry
Summary: Header files for %name 

Requires: sipxmedialib >= 3.6
Requires: sipxtacklib >= 3.6
Requires: sipxportlib >= 3.6

%description devel
 This library provides a set of adapters for using a media subsystem. Three
adapters currently have been implemented. They are for Pintel media processing,
GIPS VoiceEngine, and GIPS ConferenceEngine. The applications must select an
appropriate library during the link time in order to use the right media
subsystem.

%prep
%setup -q

%build
%configure  --with-distdir=/home/buildbot/sipx/dist
cp config.log %name.configlog
make all

%install

# makeinstall RPM macro doesn't leverage DESTDIR but instead overrides
# libdir, bindir, etc just for make install. This not copesetic w/how
# our makefiles are built, they'd rather preserve libdir, and use 
# DESTDIR when copying/moving/creating files.  The approach we're taking
# is quite standard, so it's surprising RPM's makeinstall macro is
# the way it is.
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
# Do Not Clean - when we are building a set of sipX RPMs, we need the 
#                dependencies to be here.
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTORS INSTALL README NEWS TODO ChangeLog %name.configlog
%attr(755,root,root) %{_libdir}/libsipXmediaProcessing.la
%attr(755,root,root) %{_libdir}/libsipXmediaProcessing.so*

%files devel
%defattr(644,root,root,755)
%doc CONTRIBUTORS INSTALL README NEWS TODO ChangeLog %name.configlog
%doc %{_datadir}/doc/sipx/%name/*
# %attr(755,root,root) %{_libdir}/debug/usr/lib/libsipXmediaProcessing.so*
%{_libdir}/libsipXmediaProcessing.a
%{_includedir}/mi/*.h
